<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.picketlink-federation.federation.key-store.key-store.key">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="host-feature"/>
        <elem name="op-params-mapping" value="host"/>
        <elem name="addr-params" value="profile,subsystem,federation,key-store,key"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.picketlink-federation"/>
    </annotation>
    <refs>
        <ref feature="subsystem.picketlink-federation.federation.key-store.key-store"/>
        <ref feature="subsystem.picketlink-federation.federation"/>
        <ref feature="subsystem.picketlink-federation"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="federation" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="picketlink-federation"/>
        <param name="key-store" feature-id="true" default="key-store"/>
        <param name="host-feature"/>
        <param name="key" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>